import style from "./style.module.css";
import Link from "next/link";
import paypal from "../../../assets/images/paypal.webp";
import Image from "next/image";
import { Button } from "@mui/material";

const Hero = () => {
  return (
    <div className={style.hero}>
      <div className={style.content}>
        <h1>پرداخت یورویی اشتراک ایمپو</h1>
        <p>
          <span>
            اگه خارج از ایران زندگی می‌کنی و می‌خوای اشتراک ایمپو رو تهیه کنی:
          </span>
          <br />
          ۱. مبلغ طرح اشتراکی که می‌خوای رو با استفاده از لینک pay pal  پرداخت
          کن
          <br />
          ۲. بعد از پرداخت به همین صفحه برگرد
          <br />
          ۳. اطلاعات خواسته شده رو وارد کن و دکمه ارسال رو بزن
          <br />
          <span>در اولین فرصت، اشتراک مورد نظرت برات فعال میشه</span>
        </p>
        <Link href="https://paypal.me/AmirSajjadi?country.x=EE&locale.x=en_US" target="_blank">
          <Button aria-label="btnName" size="medium" variant="contained">
            از اینجا پرداخت کن
          </Button>
        </Link>
      </div>
      <div className={style.image}>
        <Image src={paypal} alt="paypal" />
      </div>
    </div>
  );
};

export default Hero;
